#
# spec file for package perl-Convert-TNEF (Version 0.17)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-IO-stringy perl-MIME-tools perl-MailTools permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Convert-TNEF
BuildRequires:  perl-MIME-tools
License:        Artistic License
Group:          Development/Libraries/Perl
Provides:       p_tnef
Obsoletes:      p_tnef
Requires:       perl = %{perl_version}
Autoreqprov:    on
Summary:        Perl module to read TNEF files
Version:        0.17
Release:        274.2
Source:         Convert-TNEF-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Perl module to read TNEF files



Authors:
--------
    Douglas Wilson <dwilson@gtemail.net>

%debug_package
%prep
%setup -n Convert-TNEF-%{version}
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
make test
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%files
%defattr(-,root,root)
%dir %{perl_vendorlib}/Convert
%{perl_vendorlib}/Convert/TNEF.pm
%dir %{perl_vendorarch}/auto/Convert
%{perl_vendorarch}/auto/Convert/TNEF
%doc %{_mandir}/man3/Convert::TNEF.3pm.gz
/var/adm/perl-modules/perl-Convert-TNEF
%doc Changes MANIFEST README

%changelog -n perl-Convert-TNEF
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct 04 2005 - dmueller@suse.de
- add norootforbuild
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 - choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Tue Jun 17 2003 - choeger@suse.de
- updated filelist
* Tue May 20 2003 - choeger@suse.de
- remove installed (but unpackaged) file perllocal.pod
* Mon Aug 05 2002 - link@suse.de
- updated to 0.17
- overhauled spec file
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Sun Jan 13 2002 - link@suse.de
- update to v0.16
* Thu Nov 16 2000 - ro@suse.de
- typo fixed
* Wed Nov 15 2000 - choeger@suse.de
- long package name
- buildroot
* Wed Jul 19 2000 - choeger@suse.de
- first package, v0.08
